# PvCard::InlineValue Class Reference

Representation of EBNF img-inline-value/snd-inline-value. More...

`#include <vcard.h>`

Inheritance diagram for PvCard::InlineValue:

List of all members.

## Public Member Functions

| InlineValue (const char *str=NULL)
| InlineValue (const PString &str)
virtual void | PrintOn (ostream &strm) const
| Output the contents of the URL to the stream as a string.
virtual void | ReadFrom (istream &strm)
| Input the contents of the URL from the stream.
InlineValue & | ReadFromParam (const ParamMap &params)

## Detailed Description

Representation of EBNF img-inline-value/snd-inline-value.

## Constructor & Destructor Documentation

PvCard::InlineValue::InlineValue | ( | const char * | str = `NULL` | ) | `[inline]`

PvCard::InlineValue::InlineValue | ( | const PString & | str | ) | `[inline]`

## Member Function Documentation

virtual void PvCard::InlineValue::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Output the contents of the URL to the stream as a string.

Reimplemented from PvCard::URIValue.

virtual void PvCard::InlineValue::ReadFrom | ( | istream & | strm | ) | `[virtual]`

Input the contents of the URL from the stream.

The input is a URL in string form.

Reimplemented from PvCard::URIValue.

InlineValue& PvCard::InlineValue::ReadFromParam | ( | const ParamMap & | params | ) |

The documentation for this class was generated from the following file:

- vcard.h